View Issue Details

IDProjectCategoryView StatusLast Update
0001219OpenMPT[All Projects] Generalpublic2019-05-26 20:00
ReportertherektafireAssigned ToSaga Musix 
PrioritylowSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.28.04.00 / libopenmpt 0.4.4 (upgrade first) 
Target VersionOpenMPT 1.28.05.00 / libopenmpt 0.4.5 (upgrade first)Fixed in VersionOpenMPT 1.28.05.00 / libopenmpt 0.4.5 (upgrade first) 
Summary0001219: Crash when closing song after midi device has been opened in that song
Description

I wanted to make doom midis with openmpt so I wanted to use the midi device I have set in windows to make sure the song would sound as accurate as possible, I created 1 instrument which was set to use the coolsoft midi mapper (I have the microsoft gs synth replace with coolsoft virtual midi synth) but when I tried to create a 2nd one using the same midi device openmpt wouldn't let me and said that the midi device was "open in another application", So I started a new song and was going to use a soundfont instead but I decided to close the original song first and when I tried to close it it crashed with a c++ runtime error in std:terminate(). I then tried to do the same steps again and the exact same crash occurerd

Steps To Reproduce

1 open a new song

2 add the midi inpit/output plugin into the first fx slot

  1. create a new song

  2. try to close the first song without saving (maybe it works with saving too)

Additional Information

crash log:

A C++ runtime crash occurred: std::terminate() called.

Debug information has been saved to
C:\Users\jleww\AppData\Local\Temp\OpenMPT Crash Files\2019-04-12 04.32.36\

1 modified file has been rescued, but it cannot be guaranteed that it is still intact.

OpenMPT 1.28.04.00 64 bit UNICODE (https://source.openmpt.org/svn/openmpt/branches/OpenMPT-1.28@11528 (clean))

Session error count: 1

TagsNo tags attached.
Has the bug occurred in previous versions?don't know
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2019-04-12 11:48

administrator   ~0003915

This is not a general issue (I use the MIDI I/O plugin all the time and it doesn't crash) so maybe it's a problem with that specific MIDI driver. Please attach the files from the debug information folder stated in the crash message to this issue (put them in a Zip archive) for further investigation.

Saga Musix

Saga Musix

2019-04-12 22:10

administrator   ~0003916

Also, regarding your initial description,

but when I tried to create a 2nd one using the same midi device openmpt wouldn't let me and said that the midi device was "open in another application"

Most Windows MIDI drivers can only be controlled by a single program, and that program can only open one MIDI stream. If you want to control the same MIDI output device on several MIDI channels, simply create several instruments mapped to the same plugin.

Saga Musix

Saga Musix

2019-04-14 19:51

administrator   ~0003925

r11557, soon available from https://builds.openmpt.org/builds/auto/openmpt/bin.win64/1.28/ should fix this issue.

Issue History

Date Modified Username Field Change
2019-04-12 10:11 therektafire New Issue
2019-04-12 10:16 therektafire Additional Information Updated View Revisions
2019-04-12 11:48 Saga Musix Note Added: 0003915
2019-04-12 22:10 Saga Musix Note Added: 0003916
2019-04-14 19:50 Saga Musix Assigned To => Saga Musix
2019-04-14 19:50 Saga Musix Status new => assigned
2019-04-14 19:51 Saga Musix Status assigned => feedback
2019-04-14 19:51 Saga Musix Target Version => OpenMPT 1.28.05.00 / libopenmpt 0.4.5 (upgrade first)
2019-04-14 19:51 Saga Musix Note Added: 0003925
2019-05-26 20:00 Saga Musix Status feedback => resolved
2019-05-26 20:00 Saga Musix Resolution open => fixed
2019-05-26 20:00 Saga Musix Fixed in Version => OpenMPT 1.28.05.00 / libopenmpt 0.4.5 (upgrade first)